#
# uxyz07.rb
#
# $Id: uxyz07.rb,v 1.1 2000/11/23 08:19:16 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include Math


#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::gropn iws

DCL::grfrm

DCL::sgswnd(1985.0, 1990.0, -2.0, +2.0)
DCL::sgsvpt(0.2, 0.8, 0.3, 0.7)
DCL::sgstrn(1)
DCL::sgstrf

DCL::uzrset('UYUSER', 0.0)
DCL::uzlset('LBTWN', true)
DCL::uxsfmt('(I4)')
DCL::uxaxdv('U', 0.25, 1.0)
DCL::uzlset('LBTWN', false)
DCL::uxsttl('U', 'YEAR', +1.0)

DCL::uyaxdv('L', 0.25, 1.0)
DCL::uysttl('L', 'S.O.I.', 0.0)

DCL::uxmttl('T', 'UXAXDV/UYAXDV', 0.0)

DCL::grcls

